[Previous] [Next] [Contents]

## `SP::SpScalarPol` -- scalar product on polynomials

#### Call(s)

`SP::SpScalarPol(pol1,pol2,n)`

#### Parameters

`pol1` | - | any polynomial expression
`pol2` | - | any polynomial expression
`n` | - | any positive integer denoting the degree of a symmetric group

#### Introduction

The `SP::SpScalarPol` function computes the scalar product `<pol1, pol2>` corresponding to the symmetric group of degree `n`.

`<pol1, pol2>`= `<pol1 x pol2, 1>`.

`<pol, 1>` is the symmetric function (in the basis of Schur functions) obtained by applying the maximal divided difference of Sn to `pol`.

#### Example 1

    >> muEC::SP::SpScalarPol(x1^6*x2, x2^2*x3, 3);

                                    s[4, 2, 1]

#### Related Functions

``

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package